Page MenuHomePhabricator

[clang-tidy] Fix false positive in `bugprone-throw-keyword-missing` check
ClosedPublic

Authored by fwolff on Nov 10 2021, 10:42 AM.

Details

Summary

Fixes PR#52400. The tests for bugprone-throw-keyword-missing actually already contain exceptions as class members, but not as members with initializers, which was probably just an oversight.

Diff Detail

Event Timeline

fwolff created this revision.Nov 10 2021, 10:42 AM
fwolff requested review of this revision.Nov 10 2021, 10:42 AM
aaron.ballman accepted this revision.Nov 15 2021, 1:20 PM

LGTM, that is certainly not a place where one would put throw. :-D

This revision is now accepted and ready to land.Nov 15 2021, 1:20 PM

Thanks for reviewing this! Can you also commit it for me?

Thanks for reviewing this! Can you also commit it for me?

Sure can! What name and email address would you like used for patch attribution? I'm in C standards meetings all this week so if someone else is able to land this before I get to it, I will not be hurt. :-)

Thanks for reviewing this! Can you also commit it for me?

Sure can! What name and email address would you like used for patch attribution? I'm in C standards meetings all this week so if someone else is able to land this before I get to it, I will not be hurt. :-)

Thanks! You can use the same name and email as in commit c3e3c762098e8d425731bb40f3b8b04dac1013f3.

aaron.ballman closed this revision.Nov 16 2021, 4:10 AM

I've commit on your behalf in 738e7f1231949ec248c1d8d154783338215613d1, thank you for the fix!